using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.BusinessLogicsContracts
{
	public interface IPharmacistLogic
	{
		List<PharmacistViewModel>? ReadList(PharmacistSearchModel? model);
		PharmacistViewModel? ReadElement(PharmacistSearchModel model);
		bool Create(PharmacistBindingModel model);
		bool Update(PharmacistBindingModel model);
		bool Delete(PharmacistBindingModel model);
	}
}
